#!/bin/sh
appname=`basename $0 | sed s,\.sh$,,`

dirname=`dirname $0`
tmp="${dirname#?}"

if [ "${dirname%$tmp}" != "/" ]; then
dirname=$PWD/$dirname
fi

#LD_LIBRARY_PATH=$dirname/uselib
#export LD_LIBRARY_PATH

BASEDIR=$(dirname "$0")
OS=$(awk '/DISTRID_ID=/' /etc/*-release)
if [ -z "$OS" ]; then
    OS=$(awk '{print $1}' /etc/*-release |
tr '[:upper:]' '[:lower:]')
fi

if echo "$OS" | grep -iq "uos"; then
    echo "uos"
	export LD_LIBRARY_PATH=$BASEDIR/"uselib"
else
    echo "kylin"
    export LD_LIBRARY_PATH=$BASEDIR/"uselib":$BASEDIR/"uselibdrm"
fi

export QT_QPA_PLATFORM=xcb
export LIBGL_ALWAYS_INDIRECT=1
#xhost +

$dirname/$appname "$@"
