#! /bin/bash

BASEDIR=$(dirname "$0")
export LC_MESSAGES=en_US.UTF-8
export QT_QPA_PLATFORM=xcb
export LIBGL_ALWAYS_INDIRECT=1

OS=$(awk '/DISTRID_ID=/' /etc/*-release)
if [ -z "$OS" ]; then
    OS=$(awk '{print $1}' /etc/*-release |
tr '[:upper:]' '[:lower:]')
fi

if echo "$OS" | grep -iq "uos"; then
    echo "uos"
    export LD_LIBRARY_PATH=$BASEDIR/"Library_uos"
else
    echo "kylin"
    export LD_LIBRARY_PATH=$BASEDIR/"Library_kylin"
fi


$BASEDIR/ScanTool
